This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 927622 (CVE-2013-1976)

Summary: CVE-2013-1976 tomcat: Improper TOMCAT_LOG management in init script (DoS, ACE)
Product: [Other] Security Response Reporter: Jan Lieskovsky <jlieskov>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: high Docs Contact:
Priority: high    
Version: unspecifiedCC: aneelica, djorm, dknox, jrusnack, lgao, security-response-team, simon.fayer05, weli
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=important,public=20130528,reported=20130326,source=researcher,cvss2=6.9/AV:L/AC:M/Au:N/C:C/I:C/A:C,rhel-5/tomcat5=affected,rhel-6/tomcat6=affected,fedora-all/tomcat6=affected,fedora-all/tomcat=affected,jbews-1/tomcat5=affected,jbews-1/tomcat6=affected,jbews-2/tomcat6=affected,jbews-2/tomcat7=affected,jboss/others=notaffected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-05-28 16:07:21 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 955974, 955975, 955976, 955977, 955978, 955979, 955980, 955982, 955983, 963087, 963095, 1014386    
Bug Blocks: 927624    

Description Jan Lieskovsky 2013-03-26 07:08:08 EDT
A security flaw was found in the way init script implementation of the Tomcat service, an Apache Servlet/JSP Engine, as used in various versions of Red Hat Enterprise Linux and Fedora, performed management of Tomcat log file. A local attacker could use this flaw to cause denial of service or, potentially, execute arbitrary code with the privileges of the privileged system user (root) via symbolic link attacks on Tomcat log file.

Acknowledgements:

Red Hat would like to thank Simon Fayer of Imperial College London for reporting this issue.
Comment 11 David Jorm 2013-05-08 23:24:51 EDT
Statement:

This flaw pertains to the init scripts provided by the RPM distribution of tomcat in various Red Hat products. ZIP distributions do not include init scripts, and are not affected by this flaw.
Comment 12 errata-xmlrpc 2013-05-28 13:30:23 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:0869 https://rhn.redhat.com/errata/RHSA-2013-0869.html
Comment 13 errata-xmlrpc 2013-05-28 13:44:19 EDT
This issue has been addressed in following products:

  JBEWS 1.0 for RHEL 5
  JBEWS 1.0 for RHEL 6

Via RHSA-2013:0872 https://rhn.redhat.com/errata/RHSA-2013-0872.html
Comment 14 errata-xmlrpc 2013-05-28 13:45:06 EDT
This issue has been addressed in following products:

  JBEWS 2 for RHEL 5
  JBEWS 2 for RHEL 6

Via RHSA-2013:0871 https://rhn.redhat.com/errata/RHSA-2013-0871.html
Comment 15 errata-xmlrpc 2013-05-28 13:46:40 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2013:0870 https://rhn.redhat.com/errata/RHSA-2013-0870.html